.KEY MEDIA/A,EXENAME/A,LINKNAME/A,SYMBOL1/A,SYMBOL2/A
.BRA {
.KET }
;
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable {MEDIA}\{EXENAME}"
ECHO "- with link file {LINKNAME}"
ECHO "- and symbols {SYMBOL1} {SYMBOL2}"
ECHO "----------------------------------------------------------------------"
ECHO >> ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >> ReDMCSB:BUILD/MKAA.LOG "- Build executable {MEDIA}\{EXENAME}"
ECHO >> ReDMCSB:BUILD/MKAA.LOG "- with link file {LINKNAME}"
ECHO >> ReDMCSB:BUILD/MKAA.LOG "- and symbols {SYMBOL1} {SYMBOL2}"
ECHO >> ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
;
CD ReDMCSB:SOURCE
ECHO "----- {MEDIA}\{EXENAME} Compile _MAIN.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile _MAIN.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at _MAIN.C    -o ReDMCSB:OBJECT/{MEDIA}/dm/_MAIN.ASM    {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile DATA.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile DATA.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at DATA.C     -o ReDMCSB:OBJECT/{MEDIA}/dm/DATA.ASM     {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile PROJEXPL.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile PROJEXPL.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at PROJEXPL.C -o ReDMCSB:OBJECT/{MEDIA}/dm/PROJEXPL.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile GROUP.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile GROUP.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at GROUP.C    -o ReDMCSB:OBJECT/{MEDIA}/dm/GROUP.ASM    {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile TIMELINE.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile TIMELINE.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at TIMELINE.C -o ReDMCSB:OBJECT/{MEDIA}/dm/TIMELINE.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile DUNGEON.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile DUNGEON.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at DUNGEON.C  -o ReDMCSB:OBJECT/{MEDIA}/dm/DUNGEON.ASM  {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile DUNVIEW.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile DUNVIEW.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at DUNVIEW.C  -o ReDMCSB:OBJECT/{MEDIA}/dm/DUNVIEW.ASM  {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile STARTUP2.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile STARTUP2.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at STARTUP2.C -o ReDMCSB:OBJECT/{MEDIA}/dm/STARTUP2.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile SOUND.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile SOUND.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at SOUND.C    -o ReDMCSB:OBJECT/{MEDIA}/dm/SOUND.ASM    {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile STARTUP1.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile STARTUP1.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at STARTUP1.C -o ReDMCSB:OBJECT/{MEDIA}/dm/STARTUP1.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile DIALOG.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile DIALOG.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at DIALOG.C   -o ReDMCSB:OBJECT/{MEDIA}/dm/DIALOG.ASM   {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile ENDGAME.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile ENDGAME.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at ENDGAME.C  -o ReDMCSB:OBJECT/{MEDIA}/dm/ENDGAME.ASM  {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile MOVESENS.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile MOVESENS.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at MOVESENS.C -o ReDMCSB:OBJECT/{MEDIA}/dm/MOVESENS.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile COMMAND.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile COMMAND.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at COMMAND.C -o ReDMCSB:OBJECT/{MEDIA}/dm/COMMAND.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile GAMELOOP.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile GAMELOOP.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at GAMELOOP.C -o ReDMCSB:OBJECT/{MEDIA}/dm/GAMELOOP.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile READWRIT.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile READWRIT.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at READWRIT.C -o ReDMCSB:OBJECT/{MEDIA}/dm/READWRIT.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile CHAMPION.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile CHAMPION.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at CHAMPION.C -o ReDMCSB:OBJECT/{MEDIA}/dm/CHAMPION.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile PANEL.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile PANEL.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at PANEL.C -o ReDMCSB:OBJECT/{MEDIA}/dm/PANEL.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile MENU.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile MENU.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at MENU.C   -o ReDMCSB:OBJECT/{MEDIA}/dm/MENU.ASM   {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile FLOPPYAM.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile FLOPPYAM.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at FLOPPYAM.C -o ReDMCSB:OBJECT/{MEDIA}/dm/FLOPPYAM.ASM  {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile FLOPPY.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile FLOPPY.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at FLOPPY.C  -o ReDMCSB:OBJECT/{MEDIA}/dm/FLOPPY.ASM  {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile MEMORY.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile MEMORY.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at MEMORY.C   -o ReDMCSB:OBJECT/{MEDIA}/dm/MEMORY.ASM   {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile BLTSHRNK.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile BLTSHRNK.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at BLTSHRNK.C -o ReDMCSB:OBJECT/{MEDIA}/dm/BLTSHRNK.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile EXPAND.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile EXPAND.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at EXPAND.C   -o ReDMCSB:OBJECT/{MEDIA}/dm/EXPAND.ASM   {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile FLIPHORI.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile FLIPHORI.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at FLIPHORI.C -o ReDMCSB:OBJECT/{MEDIA}/dm/FLIPHORI.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile FLIPVERT.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile FLIPVERT.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at FLIPVERT.C -o ReDMCSB:OBJECT/{MEDIA}/dm/FLIPVERT.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile OBJECT.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile OBJECT.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at OBJECT.C   -o ReDMCSB:OBJECT/{MEDIA}/dm/OBJECT.ASM   {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile INPUT.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile INPUT.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at INPUT.C    -o ReDMCSB:OBJECT/{MEDIA}/dm/INPUT.ASM    {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile IO.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile IO.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at IO.C       -o ReDMCSB:OBJECT/{MEDIA}/dm/IO.ASM       {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile BASE.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile BASE.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at BASE.C     -o ReDMCSB:OBJECT/{MEDIA}/dm/BASE.ASM     {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile BLITMASK.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile BLITMASK.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at BLITMASK.C -o ReDMCSB:OBJECT/{MEDIA}/dm/BLITMASK.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile BLIT.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile BLIT.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at BLIT.C     -o ReDMCSB:OBJECT/{MEDIA}/dm/BLIT.ASM     {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile TEXT.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile TEXT.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at TEXT.C     -o ReDMCSB:OBJECT/{MEDIA}/dm/TEXT.ASM     {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile SCRLMGMT.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile SCRLMGMT.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at SCRLMGMT.C -o ReDMCSB:OBJECT/{MEDIA}/dm/SCRLMGMT.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile SCRLTASK.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile SCRLTASK.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at SCRLTASK.C -o ReDMCSB:OBJECT/{MEDIA}/dm/SCRLTASK.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile VIEWPORT.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile VIEWPORT.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at VIEWPORT.C -o ReDMCSB:OBJECT/{MEDIA}/dm/VIEWPORT.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile COPYPROA.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile COPYPROA.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at COPYPROA.C -o ReDMCSB:OBJECT/{MEDIA}/dm/COPYPROA.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile COPYPROB.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile COPYPROB.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at COPYPROB.C -o ReDMCSB:OBJECT/{MEDIA}/dm/COPYPROB.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile VBLANK.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile VBLANK.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at VBLANK.C   -o ReDMCSB:OBJECT/{MEDIA}/dm/VBLANK.ASM   {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile ENTRANCE.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile ENTRANCE.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at ENTRANCE.C -o ReDMCSB:OBJECT/{MEDIA}/dm/ENTRANCE.ASM {SYMBOL1} {SYMBOL2}
ECHO "----- {MEDIA}\{EXENAME} Compile TITLE.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Compile TITLE.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at TITLE.C    -o ReDMCSB:OBJECT/{MEDIA}/dm/TITLE.ASM    {SYMBOL1} {SYMBOL2}
;
CD ReDMCSB:OBJECT/{MEDIA}/dm
ECHO "----- {MEDIA}\{EXENAME} Assemble _MAIN.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble _MAIN.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG _MAIN.ASM    -o _MAIN.O
ECHO "----- {MEDIA}\{EXENAME} Assemble DATA.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble DATA.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG DATA.ASM     -o DATA.O
ECHO "----- {MEDIA}\{EXENAME} Assemble PROJEXPL.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble PROJEXPL.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG PROJEXPL.ASM -o PROJEXPL.O
ECHO "----- {MEDIA}\{EXENAME} Assemble GROUP.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble GROUP.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG GROUP.ASM    -o GROUP.O
ECHO "----- {MEDIA}\{EXENAME} Assemble TIMELINE.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble TIMELINE.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG TIMELINE.ASM -o TIMELINE.O
ECHO "----- {MEDIA}\{EXENAME} Assemble DUNGEON.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble DUNGEON.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG DUNGEON.ASM  -o DUNGEON.O
ECHO "----- {MEDIA}\{EXENAME} Assemble DUNVIEW.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble DUNVIEW.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG DUNVIEW.ASM  -o DUNVIEW.O
ECHO "----- {MEDIA}\{EXENAME} Assemble STARTUP2.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble STARTUP2.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG STARTUP2.ASM -o STARTUP2.O
ECHO "----- {MEDIA}\{EXENAME} Assemble SOUND.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble SOUND.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG SOUND.ASM    -o SOUND.O
ECHO "----- {MEDIA}\{EXENAME} Assemble STARTUP1.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble STARTUP1.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG STARTUP1.ASM -o STARTUP1.O
ECHO "----- {MEDIA}\{EXENAME} Assemble DIALOG.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble DIALOG.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG DIALOG.ASM   -o DIALOG.O
ECHO "----- {MEDIA}\{EXENAME} Assemble ENDGAME.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble ENDGAME.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ENDGAME.ASM  -o ENDGAME.O
ECHO "----- {MEDIA}\{EXENAME} Assemble MOVESENS.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble MOVESENS.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG MOVESENS.ASM -o MOVESENS.O
ECHO "----- {MEDIA}\{EXENAME} Assemble COMMAND.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble COMMAND.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG COMMAND.ASM -o COMMAND.O
ECHO "----- {MEDIA}\{EXENAME} Assemble GAMELOOP.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble GAMELOOP.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG GAMELOOP.ASM -o GAMELOOP.O
ECHO "----- {MEDIA}\{EXENAME} Assemble READWRIT.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble READWRIT.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG READWRIT.ASM -o READWRIT.O
ECHO "----- {MEDIA}\{EXENAME} Assemble CHAMPION.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble CHAMPION.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG CHAMPION.ASM -o CHAMPION.O
ECHO "----- {MEDIA}\{EXENAME} Assemble PANEL.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble PANEL.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG PANEL.ASM -o PANEL.O
ECHO "----- {MEDIA}\{EXENAME} Assemble MENU.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble MENU.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG MENU.ASM   -o MENU.O
ECHO "----- {MEDIA}\{EXENAME} Assemble FLOPPYAM.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble FLOPPYAM.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG FLOPPYAM.ASM -o FLOPPYAM.O
ECHO "----- {MEDIA}\{EXENAME} Assemble FLOPPY.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble FLOPPY.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG FLOPPY.ASM  -o FLOPPY.O
ECHO "----- {MEDIA}\{EXENAME} Assemble MEMORY.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble MEMORY.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG MEMORY.ASM   -o MEMORY.O
ECHO "----- {MEDIA}\{EXENAME} Assemble BLTSHRNK.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble BLTSHRNK.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG BLTSHRNK.ASM -o BLTSHRNK.O
ECHO "----- {MEDIA}\{EXENAME} Assemble EXPAND.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble EXPAND.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG EXPAND.ASM   -o EXPAND.O
ECHO "----- {MEDIA}\{EXENAME} Assemble FLIPHORI.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble FLIPHORI.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG FLIPHORI.ASM -o FLIPHORI.O
ECHO "----- {MEDIA}\{EXENAME} Assemble FLIPVERT.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble FLIPVERT.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG FLIPVERT.ASM -o FLIPVERT.O
ECHO "----- {MEDIA}\{EXENAME} Assemble OBJECT.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble OBJECT.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG OBJECT.ASM   -o OBJECT.O
ECHO "----- {MEDIA}\{EXENAME} Assemble INPUT.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble INPUT.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG INPUT.ASM    -o INPUT.O
ECHO "----- {MEDIA}\{EXENAME} Assemble IO.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble IO.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG IO.ASM       -o IO.O
ECHO "----- {MEDIA}\{EXENAME} Assemble BASE.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble BASE.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG BASE.ASM     -o BASE.O
ECHO "----- {MEDIA}\{EXENAME} Assemble BLITMASK.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble BLITMASK.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG BLITMASK.ASM -o BLITMASK.O
ECHO "----- {MEDIA}\{EXENAME} Assemble BLIT.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble BLIT.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG BLIT.ASM     -o BLIT.O
ECHO "----- {MEDIA}\{EXENAME} Assemble TEXT.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble TEXT.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG TEXT.ASM     -o TEXT.O
ECHO "----- {MEDIA}\{EXENAME} Assemble SCRLMGMT.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble SCRLMGMT.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG SCRLMGMT.ASM -o SCRLMGMT.O
ECHO "----- {MEDIA}\{EXENAME} Assemble SCRLTASK.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble SCRLTASK.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG SCRLTASK.ASM -o SCRLTASK.O
ECHO "----- {MEDIA}\{EXENAME} Assemble VIEWPORT.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble VIEWPORT.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG VIEWPORT.ASM -o VIEWPORT.O
ECHO "----- {MEDIA}\{EXENAME} Assemble COPYPROA.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble COPYPROA.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG COPYPROA.ASM -o COPYPROA.O
ECHO "----- {MEDIA}\{EXENAME} Assemble COPYPROB.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble COPYPROB.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG COPYPROB.ASM -o COPYPROB.O
ECHO "----- {MEDIA}\{EXENAME} Assemble VBLANK.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble VBLANK.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG VBLANK.ASM   -o VBLANK.O
ECHO "----- {MEDIA}\{EXENAME} Assemble ENTRANCE.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble ENTRANCE.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ENTRANCE.ASM -o ENTRANCE.O
ECHO "----- {MEDIA}\{EXENAME} Assemble TITLE.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Assemble TITLE.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG TITLE.ASM    -o TITLE.O
ECHO "----- {MEDIA}\{EXENAME} Link"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- {MEDIA}\{EXENAME} Link"
LN >>ReDMCSB:BUILD/MKAA.LOG +SSS -t -v -F ReDMCSB:SOURCE/{LINKNAME} ReDMCSB:AztecC/lib/c.lib -o ReDMCSB:BUILD/{MEDIA}/{EXENAME}
